import { Request, Response } from "lambda-api";
import { Principal } from "../../model/security/Principal";
import { ILogger } from "../../util/logging/ILogger";
import { LogFactory } from "../../util/logging/LogFactory";
import { IParameterExtractor } from "./IParameterExtractor";
export declare abstract class BaseParameterExtractor implements IParameterExtractor {
    private readonly clazz;
    protected logger: ILogger;
    abstract readonly source: any;
    abstract readonly name: any;
    constructor(clazz: Function);
    setLogger(logFactory: LogFactory): void;
    abstract extract(request: Request, response: Response, user: Principal): any;
}
